Skip to main content
GET
Get workflow run

Authorizations

Authorization
string
header
required

Organization API key using Authorization: Bearer sk_....

Path Parameters

id
string
required

Identifier of the workflow run.

Response

Workflow run details

One execution of a workflow.

id
string
required

Unique identifier of the workflow run.

Example:

"wfr_1234567890abcdefghij"

createdAt
string<date-time>
required
updatedAt
string<date-time>
required
organizationId
string
required
workflowVersionId
string
required

Workflow version that ran.

activeInputKey
string | null
required
startedBy
enum<string>
required

What started the run.

Available options:
INVOICE_CREATED,
INVOICE_RESTORED,
COLLECTION_METHOD_CHANGED,
REPAIR
status
enum<string>
required

Run status.

Available options:
RUNNING,
COMPLETED,
FAILED,
CANCELED
startedAt
string<date-time>
required
completedAt
string<date-time> | null
required
canceledAt
string<date-time> | null
required
failedAt
string<date-time> | null
required